/*
 * ser.h -- ser_serv and serv_get
 *
 */

#include <termios.h>

#define BAUDRATE B38400
#define BUFSIZE 1024

#define CONN_REQ 1
#define CONN_ACK 2
#define CONN_EST 4

typedef struct info_s {
  char ttsdev[32];
  int ttsfd;
  struct termios ttsconf;
} info_t;

/* function prototypes */
int ser_init(info_t *info);
int ser_config(info_t *info);
int ser_send_hello(info_t *info);
int ser_read_and_out(info_t *info);
int ser_read_and_write(info_t *info);
int ser_connect(info_t *info);
int ser_listen_and_accept(info_t *info);
